# Yourls Cookbook

This cookbook provides a Debian/Ubuntu 16.04 and 14.04 installation e configuration for shorter url [Yourls](http://yourls.org/#Install).

## Cookbooks:

This cookbook has some dependencies.

 - cookbook 'php', '~> 4.5.0'

 - cookbook 'apache2', '~> 5.0.1'

That dependencies it's gonna be resolved by berkshelf using CHEF supermaket.

Before run this recipe you need run berks for download and install dependencies

```
berks vendor <your_cookbooks_path>
```
 
Chefdk is required.

## Platforms:

This cookbook has been tested on this plataforms:

:point_right: Debian/Ubuntu 14.04 and 16.04 

# Usage

You can use this cookbook straightforward.It is recommended to create a project or organization specific [wrapper cookbook](https://www.chef.io/blog/2013/12/03/doing-wrapper-cookbooks-right/) and add the desired attributes. Depending on your environment, you may have multiple attributes that use different recipes from this cookbook. Adjust any attributes as desired.

The example below can be used after you include this recipe.

```
yourls_install 'yourls' do
  repo    'https://github.com/YOURLS/YOURLS.git'
  version '1.7.2'
  path    '/opt/yourls'
  site    'http://yourls.com'
end
```

 - Set 'http' or 'https' of site is required that's will be use to render config.php template.

 - For examples of using the definitions in your own recipes, see their respective sections below.

 - After that just point your browser to http://your-own-domain-here.com/admin/ and click on install.

# Attributes

# Repository and Tag version this project

- `node['yourls']['repo']` - Default 'https://github.com/YOURLS/YOURLS.git'

- `node['yourls']['tag_version']` - Default '1.7.2'

# Mysql Settings

These are attributes used to define Mysql settings.

- `node['yourls']['mysql']['db_user']` - Database user default yourls

- `node['yourls']['mysql']['db_pass'`] - Database password node yourls

- `node['yourls']['mysql']['db_name']` - Default 'yourls'

- `node['yourls']['mysql']['db_host']` - Default 'localhost'

- `node['yourls']['mysql']['db_prefix']` - Default  'yourls_'

# Site Options

These are attributes used to define install path we use to render template config.php and vhost

- `node['yourls']['conf']['hours_offset']` - Default '0'

- `node['yourls']['conf']['lang']` - Set default language

- `node['yourls']['conf']['unique_urls']` - Default 'true'

- `node['yourls']['conf']['private']` - Default 'true'

- `node['yourls']['conf']['cookiekey']` - Default ''

# Debug mode to output some internal information
- `node['yourls']['conf']['debug']` - Default 'false'

# URL Shortening settings
- `node['yourls']['conf']['url_convert']` - Default '36' or 62

- `node['yourls']['conf']['reserved_keywords']` Default %w(porn faggot sex nigger fuck cunt dick)

# User config settings
- `node['yourls']['conf']['config_path']` - Default '/opt/yourls/user/'

# Apache Confs
- `node['yourls']['conf']['doc_root']` - Default '/opt/yourls'

- `node['yourls']['conf']['server_name']` - Default 'yourls.com'

# Necessaries packages

- `node['yourls']['packages']` - Default %w(git curl)

# Important considerations

Yourls needs its own .htaccess and gonna generated on fisrt instalation, this recipe has example of this file and can be used if you want or let yourls generate it.
