#
# Cookbook:: yourls
# Attributes:: default
#
# Copyright:: 2018, Jailson Silva <jailson.silva@outlook.com.br>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Necessary package
default['yourls']['packages'] = %w(git curl php-curl)

# Repository and Tag version this project
default['yourls']['repo'] = 'https://github.com/YOURLS/YOURLS.git'
default['yourls']['tag_version'] = '1.7.2'

# Mysql Settings
default['yourls']['mysql']['db_user'] = nil
default['yourls']['mysql']['db_pass'] = nil
default['yourls']['mysql']['db_name'] = 'yourls'
default['yourls']['mysql']['db_host'] = 'localhost'
default['yourls']['mysql']['db_prefix'] = 'yourls_'

# Apache Confs
default['yourls']['conf']['doc_root'] = '/opt/yourls'
default['yourls']['conf']['server_name'] = 'yourls.com'

# Site Options
default['yourls']['conf']['hours_offset'] = '0'

# See http://yourls.org/translations
default['yourls']['conf']['lang'] = nil

default['yourls']['conf']['unique_urls'] = 'true'
default['yourls']['conf']['private'] = 'true'
default['yourls']['conf']['cookiekey'] = nil

# Debug mode to output some internal information
default['yourls']['conf']['debug'] = 'false'

# URL Shortening settings
default['yourls']['conf']['url_convert'] = '36' # or 62
default['yourls']['conf']['reserved_keywords'] = %w(porn faggot sex nigger fuck cunt dick)

# User config settings
default['yourls']['conf']['config_path'] = File.join(node['yourls']['conf']['doc_root'], 'user')
